• Python 2.5.6 Corrige Problemas de Gravidade Média

    Para aqueles que ainda estão executando Python 2.5.x, o lançamento do Python 2.5.6 é bem provável que seja a última versão do Python 2.5; depois do mês de outubro 2011, não haverá mais problemas de segurança corrigidos no Python 2.5 e é recomendável que os usuários atualizem para Python 2.7.1, que é a versão mais recente da série Python 2.x.

    O Python 2.5.6 corrige uma série de questões de gravidade média. Trata-se de uma vulnerabilidade a ataques XSS no SimpleHTTPServer, uma falha com redirecionamentos de arquivo: os regimes de urllib e urllib2 ( CVE-2011-1521 ), integer overflow checks incorretos (CVE-2010-1634) e uma vulnerabilidade de negação de serviço em audioop ( CVE-2010-2089 ).

    Os problemas corrigidos no 2.5.6 também deverão ser corrigidos nas próximas versões do Python 2.6.7 em 03 de junho, Python 3.2.1 em 05 de junho e Python 2.7.2 e 3.1.4 em 11 de junho. Python 2.6.7 trará apenas correções de segurança, enquanto a 2.7.2 e 3.1.4 serão versões de manutenção geral e 3.2.1 serão as últimas no desenvolvimento contínuo do Python.


    Saiba Mais:

    [1] Python 2.5.6: http://www.python.org/download/releases/2.5.6/
    [2] Heise On-line: http://www.h-online.com/security/new...s-1252703.html

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L